DROP PROCEDURE IF EXISTS INSERT_TARGET_OBJECT
;
CREATE PROCEDURE INSERT_TARGET_OBJECT(
	IN p_id varchar(255),
	IN p_ITEM_SCHEME_ID bigint,
	IN p_MDT_ID bigint,
	IN p_TYPE varchar(50),
	OUT p_pk  bigint)
BEGIN
		call INSERT_COMPONENT_COMMON(p_pk);
		insert into TARGET_OBJECT (TARGET_OBJ_ID,ID,ITEM_SCHEME_ID,MDT_ID,TYPE) VALUES (p_pk,p_id,p_ITEM_SCHEME_ID,p_MDT_ID,p_TYPE);
		set p_pk = LAST_INSERT_ID();
END
;
